awgn.h File Reference

Go to the source code of this file.

## Typedefs

typedef struct awgn_state_s | awgn_state_t

## Functions

awgn_state_t * | awgn_init_dbm0 (awgn_state_t *s, int idum, float level)
awgn_state_t * | awgn_init_dbov (awgn_state_t *s, int idum, float level)
int | awgn_release (awgn_state_t *s)
int | awgn_free (awgn_state_t *s)
int16_t | awgn (awgn_state_t *s)

## Typedef Documentation

## awgn_state_t

typedef struct awgn_state_s awgn_state_t

AWGN generator descriptor. This contains all the state information for an AWGN generator.